(******************************************************
 * ComPort Library ver. 3.0                           *
 *   for Delphi 3, 4, 5, 6, 7 and                     *
 *   C++ Builder 3, 4, 5, 6                           *
 * written by Dejan Crnila, 1998 - 2002               *
 * maintained by Lars B. Dybdahl, 2003                *
 * Homepage: http://comport.sf.net/                   *
 *****************************************************)

unit CPortSetup;

{$mode objfpc}{$H+}



interface

uses
  LCLIntf, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls, Buttons, CPort, CPortCtl, LResources;

type
  // TComPort setup dialog

  { TComSetupFrm }

  TComSetupFrm = class(TForm)
    Button1: TButton;
    Button2: TButton;
    ComComboBox1: TComComboBox;
    ComComboBox2: TComComboBox;
    ComComboBox3: TComComboBox;
    ComComboBox4: TComComboBox;
    ComComboBox5: TComComboBox;
    ComComboBox6: TComComboBox;
    GroupBox1: TGroupBox;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    Label5: TLabel;
    Label6: TLabel;
//    Combo2: TComComboBox;
//    Combo3: TComComboBox;
//    Combo4: TComComboBox;
//    Combo5: TComComboBox;
//    Combo6: TComComboBox;
//    Combo1: TComComboBox;
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

procedure EditComPort(ComPort: TCustomComPort);

implementation

//uses gnugettext;


// show setup dialog
// Modif J.P  21/3/2013
// Replace all ComboX with ComComboBoxX because in the
// resource file CportSetup.lfm there is only ComComboBoxX
procedure EditComPort(ComPort: TCustomComPort);
begin
  with TComSetupFrm.Create(nil) do
  begin
    ComComboBox1.ComPort := ComPort;
    ComComboBox2.ComPort := ComPort;
    ComComboBox3.ComPort := ComPort;
    ComComboBox4.ComPort := ComPort;
    ComComboBox5.ComPort := ComPort;
    ComComboBox6.ComPort := ComPort;
    ComComboBox1.UpdateSettings;
    ComComboBox2.UpdateSettings;
    ComComboBox3.UpdateSettings;
    ComComboBox4.UpdateSettings;
    ComComboBox5.UpdateSettings;
    ComComboBox6.UpdateSettings;
    if ShowModal = mrOK then
    begin
      ComPort.BeginUpdate;
      ComComboBox1.ApplySettings;
      ComComboBox2.ApplySettings;
      ComComboBox3.ApplySettings;
      ComComboBox4.ApplySettings;
      ComComboBox5.ApplySettings;
      ComComboBox6.ApplySettings;
      ComPort.EndUpdate;
    end;
    Free;
  end;
end;

procedure TComSetupFrm.FormCreate(Sender: TObject);
begin
  {TP_Ignore(self,'Combo1');
  TP_Ignore(self,'Combo2');
  TP_Ignore(self,'Combo3');
  TP_Ignore(self,'Combo4');
  TP_Ignore(self,'Combo5');
  TP_Ignore(self,'Combo6');
  TranslateProperties (self,'cport');  }
end;

initialization
  {$i CPortSetup.lrs}
  {$I cport.lrs}
end.
